<?php

/************************************************************************/
/* PHP-NUKE: Advanced Content Management System                         */
/* ============================================                         */
/*                                                                      */
/* Corrected by L.Krivelyov (http://www.12thlevel.com                   */
/*                                                                      */
/* Copyright (c) 2002 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

if (eregi("install.php", $PHP_SELF)) {
    Header("Location: ../index.php");
    die();
}

global $prefix, $user_prefix;


sql_query("CREATE TABLE ".$prefix."_access (
  access_id int(10) NOT NULL auto_increment,
  access_title varchar(20) default NULL,
  PRIMARY KEY  (access_id),
  KEY access_id (access_id)
)", $dbi);

#
# Dumping data for table `nuke_access`
#

sql_query("INSERT INTO ".$prefix."_access VALUES (-1, 'Deleted')", $dbi);
sql_query("INSERT INTO ".$prefix."_access VALUES (1, 'User')", $dbi);
sql_query("INSERT INTO ".$prefix."_access VALUES (2, 'Moderator')", $dbi);
sql_query("INSERT INTO ".$prefix."_access VALUES (3, 'Super Moderator')", $dbi);
sql_query("INSERT INTO ".$prefix."_access VALUES (4, 'Administrator')", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_archives`
#

sql_query("CREATE TABLE ".$prefix."_archives (
  id int(4) unsigned NOT NULL auto_increment,
  url varchar(255) NOT NULL default '',
  name varchar(255) NOT NULL default '',
  date datetime NOT NULL default '0000-00-00 00:00:00',
  cat varchar(20) NOT NULL default '0',
  search text NOT NULL,
  dcount int(10) NOT NULL default '0',
  thumb varchar(255) default NULL,
  PRIMARY KEY  (id)
)", $dbi);

#
# Dumping data for table `nuke_archives`
#
# --------------------------------------------------------

#
# Table structure for table `nuke_archives_categories`
#

sql_query("CREATE TABLE ".$prefix."_archives_categories (
  cat_id varchar(20) NOT NULL default '',
  cat_title varchar(100) NOT NULL default '',
  PRIMARY KEY  (cat_id)
)", $dbi);

#
# Dumping data for table `nuke_archives_categories`
#

sql_query("INSERT INTO ".$prefix."_archives_categories VALUES ('all', 'All')", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_authors`
#

sql_query("CREATE TABLE ".$prefix."_authors (
  aid varchar(25) NOT NULL default '',
  name varchar(50) default NULL,
  url varchar(255) NOT NULL default '',
  email varchar(255) NOT NULL default '',
  pwd varchar(40) default NULL,
  counter int(11) NOT NULL default '0',
  radminarticle tinyint(2) NOT NULL default '0',
  radmintopic tinyint(2) NOT NULL default '0',
  radminuser tinyint(2) NOT NULL default '0',
  radminsurvey tinyint(2) NOT NULL default '0',
  radminsection tinyint(2) NOT NULL default '0',
  radminlink tinyint(2) NOT NULL default '0',
  radminephem tinyint(2) NOT NULL default '0',
  radminfaq tinyint(2) NOT NULL default '0',
  radmindownload tinyint(2) NOT NULL default '0',
  radminreviews tinyint(2) NOT NULL default '0',
  radminnewsletter tinyint(2) NOT NULL default '0',
  radminforum tinyint(2) NOT NULL default '0',
  radmincontent tinyint(2) NOT NULL default '0',
  radminency tinyint(2) NOT NULL default '0',
  radminnsncart tinyint(2) NOT NULL default '0',
  radminsuper tinyint(2) NOT NULL default '1',
  admlanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (aid),
  KEY aid (aid)
)", $dbi);

#
# Dumping data for table `nuke_authors`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_autonews`
#

sql_query("CREATE TABLE ".$prefix."_autonews (
  anid int(11) NOT NULL auto_increment,
  catid int(11) NOT NULL default '0',
  aid varchar(30) NOT NULL default '',
  title varchar(80) NOT NULL default '',
  time varchar(19) NOT NULL default '',
  hometext text NOT NULL,
  bodytext text NOT NULL,
  topic int(3) NOT NULL default '1',
  informant varchar(20) NOT NULL default '',
  notes text NOT NULL,
  ihome int(1) NOT NULL default '0',
  alanguage varchar(30) NOT NULL default '',
  acomm int(1) NOT NULL default '0',
  PRIMARY KEY  (anid),
  KEY anid (anid)
)", $dbi);

#
# Dumping data for table `nuke_autonews`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_banlist`
#

sql_query("CREATE TABLE ".$prefix."_banlist (
  ban_id int(10) NOT NULL auto_increment,
  ban_userid int(10) default NULL,
  ban_ip varchar(16) default NULL,
  ban_start int(32) default NULL,
  ban_end int(50) default NULL,
  ban_time_type int(10) default NULL,
  PRIMARY KEY  (ban_id),
  KEY ban_id (ban_id)
)", $dbi);

#
# Dumping data for table `nuke_banlist`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_banner`
#

sql_query("CREATE TABLE ".$prefix."_banner (
  bid int(11) NOT NULL auto_increment,
  cid int(11) NOT NULL default '0',
  imptotal int(11) NOT NULL default '0',
  impmade int(11) NOT NULL default '0',
  clicks int(11) NOT NULL default '0',
  imageurl varchar(100) NOT NULL default '',
  clickurl varchar(200) NOT NULL default '',
  alttext varchar(255) NOT NULL default '',
  date datetime default NULL,
  dateend datetime default NULL,
  type tinyint(1) NOT NULL default '0',
  active tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (bid),
  KEY bid (bid),
  KEY cid (cid)
)", $dbi);

#
# Dumping data for table `nuke_banner`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_bannerclient`
#

sql_query("CREATE TABLE ".$prefix."_bannerclient (
  cid int(11) NOT NULL auto_increment,
  name varchar(60) NOT NULL default '',
  contact varchar(60) NOT NULL default '',
  email varchar(60) NOT NULL default '',
  login varchar(10) NOT NULL default '',
  passwd varchar(10) NOT NULL default '',
  extrainfo text NOT NULL,
  PRIMARY KEY  (cid),
  KEY cid (cid)
)", $dbi);

#
# Dumping data for table `nuke_bannerclient`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_bbtopics`
#

sql_query("CREATE TABLE ".$prefix."_bbtopics (
  topic_id int(10) NOT NULL auto_increment,
  topic_title varchar(100) default NULL,
  topic_poster int(10) default NULL,
  topic_time varchar(20) default NULL,
  topic_views int(10) NOT NULL default '0',
  topic_replies int(10) NOT NULL default '0',
  topic_last_post_id int(10) NOT NULL default '0',
  forum_id int(10) NOT NULL default '0',
  topic_status int(10) NOT NULL default '0',
  topic_notify int(2) default '0',
  PRIMARY KEY  (topic_id),
  KEY topic_id (topic_id),
  KEY forum_id (forum_id),
  KEY topic_last_post_id (topic_last_post_id)
)", $dbi);

#
# Dumping data for table `nuke_bbtopics`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_blocks`
#

sql_query("CREATE TABLE ".$prefix."_blocks (
  bid int(10) NOT NULL auto_increment,
  bkey varchar(15) NOT NULL default '',
  title varchar(60) NOT NULL default '',
  content text NOT NULL,
  url varchar(200) NOT NULL default '',
  position char(1) NOT NULL default '',
  weight int(10) NOT NULL default '1',
  active int(1) NOT NULL default '1',
  refresh int(10) NOT NULL default '0',
  time varchar(14) NOT NULL default '0',
  blanguage varchar(30) NOT NULL default '',
  blockfile varchar(255) NOT NULL default '',
  view int(1) NOT NULL default '0',
  PRIMARY KEY  (bid),
  KEY bid (bid),
  KEY title (title)
)", $dbi);

#
# Dumping data for table `nuke_blocks`
#

sql_query("INSERT INTO ".$prefix."_blocks VALUES (1,'','Modules','','','l',1,1,0,'','','block-Modules.php',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_blocks VALUES (2,'admin','Administration','<strong><big></big></strong> <a href=\"admin.php\">Administration</a><br>\r\n<strong><big></big></strong> <a href=\"admin.php?op=adminStory\">NEW Story</a><br>\r\n<strong><big></big></strong> <a href=\"admin.php?op=create\">Change Survey</a><br>\r\n<strong><big></big></strong> <a href=\"admin.php?op=content\">Content</a><br>\r\n<strong><big></big></strong> <a href=\"admin.php?op=logout\">Logout</a>','','l',2,1,0,'985591188','','',2)", $dbi);
sql_query("INSERT INTO ".$prefix."_blocks VALUES (3,'','Who\'s Online','','','l',3,1,0,'','','block-Who_is_Online.php',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_blocks VALUES (4,'','Search','','','l',4,0,3600,'','','block-Search.php',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_blocks VALUES (5,'','Languages','','','l',5,1,3600,'','','block-Languages.php',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_blocks VALUES (6,'','Random Headlines','','','l',6,0,3600,'','','block-Random_Headlines.php',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_blocks VALUES (7,'','Amazon','','','l',7,1,3600,'','','block-Amazon.php',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_blocks VALUES (8,'userbox','User\'s Custom Box','','','r',1,1,0,'','','',1)", $dbi);
sql_query("INSERT INTO ".$prefix."_blocks VALUES (9,'','Categories Menu','','','r',2,0,0,'','','block-Categories.php',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_blocks VALUES (10,'','Survey','','','r',3,1,3600,'','','block-Survey.php',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_blocks VALUES (11,'','Login','','','r',4,1,3600,'','','block-Login.php',3)", $dbi);
sql_query("INSERT INTO ".$prefix."_blocks VALUES (12,'','Big Story of Today','','','r',5,1,3600,'','','block-Big_Story_of_Today.php',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_blocks VALUES (13,'','Old Articles','','','r',6,1,3600,'','','block-Old_Articles.php',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_blocks VALUES (14,'','Information','<br><center><font class=\"content\">\r\n<a href=\"http://phpnuke.org\"><img src=\"images/powered/phpnuke.gif\" border=\"0\" alt=\"Powered by PHP-Nuke\" title=\"Powered by PHP-Nuke\" width=\"88\" height=\"31\"></a>\r\n<br><br>\r\n<a href=\"http://validator.w3.org/check/referer\"><img src=\"images/html401.gif\" width=\"88\" height=\"31\" alt=\"Valid HTML 4.01!\" title=\"Valid HTML 4.01!\" border=\"0\"></a>\r\n<br><br>\r\n<a href=\"http://jigsaw.w3.org/css-validator\"><img src=\"images/css.gif\" width=\"88\" height=\"31\" alt=\"Valid CSS!\" title=\"Valid CSS!\" border=\"0\"></a></font></center><br>','','r',7,1,0,'','','',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_blocks VALUES (16, '', 'Shopping cart', '', '', 'l', 4, 1, 0, '', '', 'block-Cart.php', 1)", $dbi);

# --------------------------------------------------------

#
# Table structure for table `nuke_cart_cards`
#

sql_query("CREATE TABLE ".$prefix."_cart_cards (
  typeID int(2) NOT NULL auto_increment,
  label varchar(32) NOT NULL default '',
  active tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (typeID)
)", $dbi);

#
# Dumping data for table `nuke_cart_cards`
#

sql_query("INSERT INTO ".$prefix."_cart_cards VALUES (1, 'Visa', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_cards VALUES (2, 'MasterCard', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_cards VALUES (3, 'Bankcard', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_cards VALUES (4, 'AmEx', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_cards VALUES (5, 'Diners', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_cards VALUES (6, 'Discover', 1)", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_cart_cartitems`
#

sql_query("CREATE TABLE ".$prefix."_cart_cartitems (
  itemID int(11) NOT NULL auto_increment,
  userID int(11) NOT NULL default '0',
  storyID varchar(25) NOT NULL default '',
  optID int(11) default NULL,
  qty int(11) NOT NULL default '0',
  PRIMARY KEY  (itemID),
  KEY userID (userID),
  KEY storyID (storyID)
)", $dbi);

#
# Dumping data for table `nuke_cart_cartitems`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_cart_categories`
#

sql_query("CREATE TABLE ".$prefix."_cart_categories (
  cid int(11) NOT NULL auto_increment,
  title varchar(50) NOT NULL default '',
  cdescription text NOT NULL,
  ldescription text NOT NULL,
  parentid int(11) NOT NULL default '0',
  PRIMARY KEY  (cid)
)", $dbi);

#
# Dumping data for table `nuke_cart_categories`
#


# --------------------------------------------------------

#
# Table structure for table `nuke_cart_config`
#

sql_query("CREATE TABLE ".$prefix."_cart_config (
  companyName varchar(50) NOT NULL default '',
  companyInfo varchar(255) NOT NULL default '',
  companyLogo varchar(255) NOT NULL default '',
  postAddress1 varchar(70) NOT NULL default '',
  postAddress2 varchar(70) NOT NULL default '',
  postCity varchar(30) NOT NULL default '',
  postState varchar(30) NOT NULL default '',
  postCountry varchar(30) NOT NULL default '',
  codePost varchar(20) NOT NULL default '',
  coyPhone varchar(20) NOT NULL default '',
  coyFax varchar(20) NOT NULL default '',
  coyCheques varchar(50) NOT NULL default '',
  perpage tinyint(4) NOT NULL default '10',
  pagetitle varchar(50) NOT NULL default '',
  bankName varchar(70) default NULL,
  routeNum varchar(30) default NULL,
  branchNum varchar(30) default NULL,
  bacctNum varchar(30) default NULL,
  bacctName varchar(70) default NULL
)", $dbi);

#
# Dumping data for table `nuke_cart_config`
#

sql_query("INSERT INTO ".$prefix."_cart_config VALUES ('Your', 'Tax ID', 'logo.gif', 'Your Address Line 1', 'Line 2', 'City', 'State', 'Country', 'PostCode', 'Phone', 'Fax', 'Your Company Name', 1, 'Online Catalogue', '', '', '', '', '')", $dbi);

# --------------------------------------------------------

#
# Table structure for table `nuke_cart_currencies`
#

sql_query("CREATE TABLE ".$prefix."_cart_currencies (
  currID int(2) NOT NULL auto_increment,
  symbol char(3) NOT NULL default '',
  currency char(3) NOT NULL default '',
  rvalue decimal(8,3) NOT NULL default '0.000',
  curradj decimal(4,2) NOT NULL default '0.00',
  activate int(1) NOT NULL default '0',
  defcurr int(1) NOT NULL default '0',
  currname varchar(32) NOT NULL default '',
  currdesc varchar(250) default NULL,
  PRIMARY KEY  (currID)
)", $dbi);

#
# Dumping data for table `nuke_cart_currencies`
#

sql_query("INSERT INTO ".$prefix."_cart_currencies VALUES (1, '$', 'AUD', '1.000', '0.00', 1, 0, 'Australian Dollar', '')", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_currencies VALUES (2, '$', 'USD', '0.182', '0.00', 1, 1, 'US Dollar', '')", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_currencies VALUES (3, '$', 'NZD', '1.209', '0.00', 1, 0, 'New Zealand Dollar', '')", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_currencies VALUES (5, 'K', 'PGK', '1.949', '0.00', 1, 0, 'PNG Kina', '')", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_currencies VALUES (6, '$', 'CAD', '0.844', '0.00', 1, 0, 'Canadian Dollar', '')", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_currencies VALUES (7, 'E', 'EUR', '0.182', '0.00', 1, 0, 'Euro', '')", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_currencies VALUES (8, '&#1', 'GBP', '0.371', '0.00', 1, 0, 'British Pound', '')", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_currencies VALUES (9, '&#1', 'JPY', '70.137', '0.00', 1, 0, 'Japanese Yen', '')", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_currencies VALUES (10, '', 'UAH', '1.000', '0.00', 1, 0, 'Ukrainian Hrivnya', '')", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_cart_files`
#

sql_query("CREATE TABLE ".$prefix."_cart_files (
  id int(4) unsigned NOT NULL auto_increment,
  prodcode varchar(25) NOT NULL default '',
  fileid int(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (id)
)", $dbi);

#
# Dumping data for table `nuke_cart_files`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_cart_orderitems`
#

sql_query("CREATE TABLE ".$prefix."_cart_orderitems (
  itemID int(11) NOT NULL auto_increment,
  orderID int(11) NOT NULL default '0',
  storyID varchar(25) NOT NULL default '',
  optID int(11) default NULL,
  qty int(11) NOT NULL default '0',
  itemcost decimal(10,2) NOT NULL default '0.00',
  itemship decimal(8,2) NOT NULL default '0.00',
  PRIMARY KEY  (itemID)
)", $dbi);

#
# Dumping data for table `nuke_cart_orderitems`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_cart_orders`
#

sql_query("CREATE TABLE ".$prefix."_cart_orders (
  orderID int(11) NOT NULL auto_increment,
  userID int(11) NOT NULL default '0',
  orderDate datetime NOT NULL default '0000-00-00 00:00:00',
  contact int(1) NOT NULL default '0',
  status int(1) NOT NULL default '0',
  orderCurr int(11) NOT NULL default '0',
  orderTotal decimal(16,2) NOT NULL default '0.00',
  shipTotal decimal(12,2) NOT NULL default '0.00',
  shipDate datetime default NULL,
  payMethod int(1) NOT NULL default '0',
  ccType int(1) default NULL,
  ccName varchar(64) default NULL,
  ccNum varchar(64) default NULL,
  ccExp varchar(8) default NULL,
  discount decimal(4,2) default NULL,
  PRIMARY KEY  (orderID)
)", $dbi);

#
# Dumping data for table `nuke_cart_orders`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_cart_orderstatus`
#

sql_query("CREATE TABLE ".$prefix."_cart_orderstatus (
  statusID int(2) NOT NULL auto_increment,
  label varchar(32) NOT NULL default '',
  status text,
  PRIMARY KEY  (statusID)
)", $dbi);

#
# Dumping data for table `nuke_cart_orderstatus`
#

sql_query("INSERT INTO ".$prefix."_cart_orderstatus VALUES (1, 'Active', 'Order has not yet been processed')", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_orderstatus VALUES (2, 'Complete', 'Order has been processed')", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_orderstatus VALUES (3, 'Declined', 'Order was declined')", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_cart_paymethods`
#

sql_query("CREATE TABLE ".$prefix."_cart_paymethods (
  typeID int(2) NOT NULL auto_increment,
  label varchar(32) NOT NULL default '',
  active tinyint(1) NOT NULL default '1',
  notes varchar(250) default NULL,
  PRIMARY KEY  (typeID)
)", $dbi);

#
# Dumping data for table `nuke_cart_paymethods`
#

sql_query("INSERT INTO ".$prefix."_cart_paymethods VALUES (1, 'Credit Card', 0, NULL)", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_paymethods VALUES (2, 'Cheque', 0, NULL)", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_paymethods VALUES (3, 'Money Order', 1, NULL)", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_paymethods VALUES (4, 'Pickup', 0, NULL)", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_paymethods VALUES (5, 'COD', 0, NULL)", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_paymethods VALUES (6, 'PayPal (Secure)', 0, NULL)", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_paymethods VALUES (7, 'Direct Deposit', 1, NULL)", $dbi);
sql_query("INSERT INTO ".$prefix."_cart_paymethods VALUES (8, 'Account / Invoice', 1, NULL)", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_cart_productoptions`
#

sql_query("CREATE TABLE ".$prefix."_cart_productoptions (
  optID int(11) NOT NULL auto_increment,
  prodcode varchar(25) NOT NULL default '',
  optname varchar(64) default NULL,
  optdesc varchar(250) default NULL,
  addcost decimal(8,2) NOT NULL default '0.00',
  addship decimal(8,2) NOT NULL default '0.00',
  addcost2 decimal(8,2) NOT NULL default '0.00',
  addship2 decimal(8,2) NOT NULL default '0.00',
  addcost3 decimal(8,2) NOT NULL default '0.00',
  addship3 decimal(8,2) NOT NULL default '0.00',
  PRIMARY KEY  (optID)
)", $dbi);

#
# Dumping data for table `nuke_cart_productoptions`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_cart_products`
#

sql_query("CREATE TABLE ".$prefix."_cart_products (
  prodcode varchar(25) NOT NULL default '',
  catid int(11) NOT NULL default '0',
  title varchar(80) default NULL,
  hometext text NOT NULL,
  bodytext text,
  counter mediumint(8) unsigned default NULL,
  cost decimal(10,2) NOT NULL default '0.00',
  ship decimal(8,2) NOT NULL default '0.00',
  cost2 decimal(10,2) NOT NULL default '0.00',
  ship2 decimal(8,2) NOT NULL default '0.00',
  c2a int(1) NOT NULL default '0',
  cost3 decimal(10,2) NOT NULL default '0.00',
  ship3 decimal(8,2) NOT NULL default '0.00',
  c3a int(1) NOT NULL default '0',
  promo int(1) NOT NULL default '0',
  reward decimal(12,2) NOT NULL default '0.00',
  cra int(1) NOT NULL default '0',
  date datetime default NULL,
  pact tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (prodcode)
)", $dbi);

#
# Dumping data for table `nuke_cart_products`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_cart_promo`
#

sql_query("CREATE TABLE ".$prefix."_cart_promo (
  promoID int(5) NOT NULL auto_increment,
  prodcode varchar(25) NOT NULL default '',
  title varchar(80) NOT NULL default '',
  promotxt text NOT NULL,
  newCost decimal(10,2) NOT NULL default '0.00',
  pom int(1) NOT NULL default '0',
  auto int(1) NOT NULL default '0',
  start datetime default NULL,
  finish datetime default NULL,
  PRIMARY KEY  (promoID)
)", $dbi);

#
# Dumping data for table `nuke_cart_promo`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_catagories`
#

sql_query("CREATE TABLE ".$prefix."_catagories (
  cat_id int(10) NOT NULL auto_increment,
  cat_title varchar(100) default NULL,
  cat_order varchar(10) default NULL,
  PRIMARY KEY  (cat_id),
  KEY cat_id (cat_id)
)", $dbi);

#
# Dumping data for table `nuke_catagories`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_comments`
#

sql_query("CREATE TABLE ".$prefix."_comments (
  tid int(11) NOT NULL auto_increment,
  pid int(11) default '0',
  sid int(11) default '0',
  date datetime default NULL,
  name varchar(60) NOT NULL default '',
  email varchar(60) default NULL,
  url varchar(60) default NULL,
  host_name varchar(60) default NULL,
  subject varchar(85) NOT NULL default '',
  comment text NOT NULL,
  score tinyint(4) NOT NULL default '0',
  reason tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (tid),
  KEY tid (tid),
  KEY pid (pid),
  KEY sid (sid)
)", $dbi);

#
# Dumping data for table `nuke_comments`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_config`
#

sql_query("CREATE TABLE ".$prefix."_config (
  sitename varchar(255) NOT NULL default '',
  nukeurl varchar(255) NOT NULL default '',
  site_logo varchar(255) NOT NULL default '',
  slogan varchar(255) NOT NULL default '',
  startdate varchar(50) NOT NULL default '',
  adminmail varchar(255) NOT NULL default '',
  anonpost tinyint(1) NOT NULL default '0',
  Default_Theme varchar(255) NOT NULL default '',
  foot1 text NOT NULL,
  foot2 text NOT NULL,
  foot3 text NOT NULL,
  commentlimit int(9) NOT NULL default '4096',
  anonymous varchar(255) NOT NULL default '',
  minpass tinyint(1) NOT NULL default '5',
  pollcomm tinyint(1) NOT NULL default '1',
  articlecomm tinyint(1) NOT NULL default '1',
  broadcast_msg tinyint(1) NOT NULL default '1',
  my_headlines tinyint(1) NOT NULL default '1',
  top int(3) NOT NULL default '10',
  storyhome int(2) NOT NULL default '10',
  user_news tinyint(1) NOT NULL default '1',
  oldnum int(2) NOT NULL default '30',
  ultramode tinyint(1) NOT NULL default '0',
  banners tinyint(1) NOT NULL default '1',
  backend_title varchar(255) NOT NULL default '',
  backend_language varchar(10) NOT NULL default '',
  language varchar(100) NOT NULL default '',
  locale varchar(10) NOT NULL default '',
  multilingual tinyint(1) NOT NULL default '0',
  useflags tinyint(1) NOT NULL default '0',
  notify tinyint(1) NOT NULL default '0',
  notify_email varchar(255) NOT NULL default '',
  notify_subject varchar(255) NOT NULL default '',
  notify_message varchar(255) NOT NULL default '',
  notify_from varchar(255) NOT NULL default '',
  footermsgtxt text NOT NULL,
  email_send tinyint(1) NOT NULL default '1',
  attachmentdir varchar(255) NOT NULL default '',
  attachments tinyint(1) NOT NULL default '0',
  attachments_view tinyint(1) NOT NULL default '0',
  download_dir varchar(255) NOT NULL default '',
  defaultpopserver varchar(255) NOT NULL default '',
  singleaccount tinyint(1) NOT NULL default '0',
  singleaccountname varchar(255) NOT NULL default '',
  numaccounts tinyint(2) NOT NULL default '-1',
  imgpath varchar(255) NOT NULL default '',
  filter_forward tinyint(1) NOT NULL default '1',
  moderate tinyint(1) NOT NULL default '0',
  admingraphic tinyint(1) NOT NULL default '1',
  httpref tinyint(1) NOT NULL default '1',
  httprefmax int(5) NOT NULL default '1000',
  CensorMode tinyint(1) NOT NULL default '3',
  CensorReplace varchar(10) NOT NULL default '',
  copyright text NOT NULL,
  Version_Num varchar(10) NOT NULL default ''
)", $dbi);

#
# Dumping data for table `nuke_config`
#

sql_query("INSERT INTO ".$prefix."_config VALUES ('PHP-Nuke Powered Site','http://yoursite.com','logo.gif','Your slogan here','September 2002','webmaster@yoursite.com',0,'DeepBlue','<a href=\"http://phpnuke.org\" target=\"blank\"><img src=\"images/powered/nuke.gif\" border=\"0\" Alt=\"Web site powered by PHP-Nuke\" hspace=\"10\"></a><br>','All logos and trademarks in this site are property of their respective owner. The comments are property of their posters, all the rest  2002 by me','You can syndicate our news using the file <a href=\"backend.php\"><font class=\"footmsg_l\">backend.php</font></a> or <a href=\"ultramode.txt\"><font class=\"footmsg_l\">ultramode.txt</font></a>',4096,'Anonymous',5,1,1,1,1,10,10,1,30,0,1,'PHP-Nuke Powered Site','en-us','english','en_US',0,0,0,'me@yoursite.com','NEWS for my site','Hey! You got a new submission for your site.','webmaster','Mail sent from WebMail service at PHP-Nuke Powered Site\r\n- http://yoursite.com',1,'/var/www/html/modules/WebMail/tmp/',0,0,'modules/WebMail/attachments/','','0','Your account',-1,'modules/WebMail/images',1,0,1,1,1000,3,'*****','Web site engine\'s code is Copyright &copy; 2002 by <a href=\"http://phpnuke.org\"><font class=\"footmsg_l\">PHP-Nuke</font></a>. All Rights Reserved. PHP-Nuke is Free Software released under the <a href=\"http://www.gnu.org\"><font class=\"footmsg_l\">GNU/GPL license</font></a>.','6.0')", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_contactbook`
#

sql_query("CREATE TABLE ".$prefix."_contactbook (
  uid int(11) default NULL,
  contactid int(11) NOT NULL auto_increment,
  firstname varchar(50) default NULL,
  lastname varchar(50) default NULL,
  email varchar(255) default NULL,
  company varchar(255) default NULL,
  homeaddress varchar(255) default NULL,
  city varchar(80) default NULL,
  homephone varchar(255) default NULL,
  workphone varchar(255) default NULL,
  homepage varchar(255) default NULL,
  IM varchar(255) default NULL,
  events text,
  reminders int(11) default NULL,
  notes text,
  PRIMARY KEY  (contactid),
  KEY uid (uid),
  KEY contactid (contactid)
)", $dbi);

#
# Dumping data for table `nuke_contactbook`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_counter`
#

sql_query("CREATE TABLE ".$prefix."_counter (
  type varchar(80) NOT NULL default '',
  var varchar(80) NOT NULL default '',
  count int(10) unsigned NOT NULL default '0'
)", $dbi);

#
# Dumping data for table `nuke_counter`
#

sql_query("INSERT INTO ".$prefix."_counter VALUES ('total','hits',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('browser','WebTV',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('browser','Lynx',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('browser','MSIE',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('browser','Opera',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('browser','Konqueror',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('browser','Netscape',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('browser','Bot',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('browser','Other',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('os','Windows',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('os','Linux',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('os','Mac',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('os','FreeBSD',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('os','SunOS',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('os','IRIX',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('os','BeOS',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('os','OS/2',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('os','AIX',0)", $dbi);
sql_query("INSERT INTO ".$prefix."_counter VALUES ('os','Other',0)", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_disallow`
#

sql_query("CREATE TABLE ".$prefix."_disallow (
  disallow_id int(10) NOT NULL auto_increment,
  disallow_username varchar(50) default NULL,
  PRIMARY KEY  (disallow_id),
  KEY disallow_id (disallow_id)
)", $dbi);

#
# Dumping data for table `nuke_disallow`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_downloads_categories`
#

sql_query("CREATE TABLE ".$prefix."_downloads_categories (
  cid int(11) NOT NULL auto_increment,
  title varchar(50) NOT NULL default '',
  cdescription text NOT NULL,
  parentid int(11) NOT NULL default '0',
  PRIMARY KEY  (cid),
  KEY cid (cid),
  KEY title (title)
)", $dbi);

#
# Dumping data for table `nuke_downloads_categories`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_downloads_downloads`
#

sql_query("CREATE TABLE ".$prefix."_downloads_downloads (
  lid int(11) NOT NULL auto_increment,
  cid int(11) NOT NULL default '0',
  sid int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  description text NOT NULL,
  date datetime default NULL,
  name varchar(100) NOT NULL default '',
  email varchar(100) NOT NULL default '',
  hits int(11) NOT NULL default '0',
  submitter varchar(60) NOT NULL default '',
  downloadratingsummary double(6,4) NOT NULL default '0.0000',
  totalvotes int(11) NOT NULL default '0',
  totalcomments int(11) NOT NULL default '0',
  filesize int(11) NOT NULL default '0',
  version varchar(10) NOT NULL default '',
  homepage varchar(200) NOT NULL default '',
  PRIMARY KEY  (lid),
  KEY lid (lid),
  KEY cid (cid),
  KEY sid (sid),
  KEY title (title)
)", $dbi);

#
# Dumping data for table `nuke_downloads_downloads`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_downloads_editorials`
#

sql_query("CREATE TABLE ".$prefix."_downloads_editorials (
  downloadid int(11) NOT NULL default '0',
  adminid varchar(60) NOT NULL default '',
  editorialtimestamp datetime NOT NULL default '0000-00-00 00:00:00',
  editorialtext text NOT NULL,
  editorialtitle varchar(100) NOT NULL default '',
  PRIMARY KEY  (downloadid),
  KEY downloadid (downloadid)
)", $dbi);

#
# Dumping data for table `nuke_downloads_editorials`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_downloads_modrequest`
#

sql_query("CREATE TABLE ".$prefix."_downloads_modrequest (
  requestid int(11) NOT NULL auto_increment,
  lid int(11) NOT NULL default '0',
  cid int(11) NOT NULL default '0',
  sid int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  description text NOT NULL,
  modifysubmitter varchar(60) NOT NULL default '',
  brokendownload int(3) NOT NULL default '0',
  name varchar(100) NOT NULL default '',
  email varchar(100) NOT NULL default '',
  filesize int(11) NOT NULL default '0',
  version varchar(10) NOT NULL default '',
  homepage varchar(200) NOT NULL default '',
  PRIMARY KEY  (requestid),
  UNIQUE KEY requestid (requestid)
)", $dbi);

#
# Dumping data for table `nuke_downloads_modrequest`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_downloads_newdownload`
#

sql_query("CREATE TABLE ".$prefix."_downloads_newdownload (
  lid int(11) NOT NULL auto_increment,
  cid int(11) NOT NULL default '0',
  sid int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  description text NOT NULL,
  name varchar(100) NOT NULL default '',
  email varchar(100) NOT NULL default '',
  submitter varchar(60) NOT NULL default '',
  filesize int(11) NOT NULL default '0',
  version varchar(10) NOT NULL default '',
  homepage varchar(200) NOT NULL default '',
  PRIMARY KEY  (lid),
  KEY lid (lid),
  KEY cid (cid),
  KEY sid (sid),
  KEY title (title)
)", $dbi);

#
# Dumping data for table `nuke_downloads_newdownload`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_downloads_votedata`
#

sql_query("CREATE TABLE ".$prefix."_downloads_votedata (
  ratingdbid int(11) NOT NULL auto_increment,
  ratinglid int(11) NOT NULL default '0',
  ratinguser varchar(60) NOT NULL default '',
  rating int(11) NOT NULL default '0',
  ratinghostname varchar(60) NOT NULL default '',
  ratingcomments text NOT NULL,
  ratingtimestamp datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (ratingdbid),
  KEY ratingdbid (ratingdbid)
)", $dbi);

#
# Dumping data for table `nuke_downloads_votedata`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_encyclopedia`
#

sql_query("CREATE TABLE ".$prefix."_encyclopedia (
  eid int(10) NOT NULL auto_increment,
  title varchar(255) NOT NULL default '',
  description text NOT NULL,
  elanguage varchar(30) NOT NULL default '',
  active int(1) NOT NULL default '0',
  PRIMARY KEY  (eid),
  KEY eid (eid)
)", $dbi);

#
# Dumping data for table `nuke_encyclopedia`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_encyclopedia_text`
#

sql_query("CREATE TABLE ".$prefix."_encyclopedia_text (
  tid int(10) NOT NULL auto_increment,
  eid int(10) NOT NULL default '0',
  title varchar(255) NOT NULL default '',
  text text NOT NULL,
  counter int(10) NOT NULL default '0',
  PRIMARY KEY  (tid),
  KEY tid (tid),
  KEY eid (eid),
  KEY title (title)
)", $dbi);

#
# Dumping data for table `nuke_encyclopedia_text`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_ephem`
#

sql_query("CREATE TABLE ".$prefix."_ephem (
  eid int(11) NOT NULL auto_increment,
  did int(2) NOT NULL default '0',
  mid int(2) NOT NULL default '0',
  yid int(4) NOT NULL default '0',
  content text NOT NULL,
  elanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (eid),
  KEY eid (eid)
)", $dbi);

#
# Dumping data for table `nuke_ephem`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_faqanswer`
#

sql_query("CREATE TABLE ".$prefix."_faqanswer (
  id tinyint(4) NOT NULL auto_increment,
  id_cat tinyint(4) default NULL,
  question varchar(255) default NULL,
  answer text,
  PRIMARY KEY  (id),
  KEY id (id),
  KEY id_cat (id_cat)
)", $dbi);

#
# Dumping data for table `nuke_faqanswer`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_faqcategories`
#

sql_query("CREATE TABLE ".$prefix."_faqcategories (
  id_cat tinyint(3) NOT NULL auto_increment,
  categories varchar(255) default NULL,
  flanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (id_cat),
  KEY id_cat (id_cat)
)", $dbi);

#
# Dumping data for table `nuke_faqcategories`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_forum_access`
#

sql_query("CREATE TABLE ".$prefix."_forum_access (
  forum_id int(10) NOT NULL default '0',
  user_id int(10) NOT NULL default '0',
  can_post tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (forum_id,user_id),
  KEY forum_id (forum_id),
  KEY user_id (user_id)
)", $dbi);

#
# Dumping data for table `nuke_forum_access`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_forum_config`
#

sql_query("CREATE TABLE ".$prefix."_forum_config (
  allow_html int(2) default NULL,
  allow_bbcode int(2) default NULL,
  allow_sig int(2) default NULL,
  posts_per_page int(10) default NULL,
  hot_threshold int(10) default NULL,
  topics_per_page int(10) default NULL,
  index_head text,
  index_foot text,
  max_upfile int(6) NOT NULL default '300'
)", $dbi);

#
# Dumping data for table `nuke_forum_config`
#

sql_query("INSERT INTO ".$prefix."_forum_config VALUES (1, 1, 1, 10, 10, 20, '', '', 300)", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_forum_mods`
#

sql_query("CREATE TABLE ".$prefix."_forum_mods (
  forum_id int(10) NOT NULL default '0',
  user_id int(10) NOT NULL default '0',
  KEY forum_id (forum_id),
  KEY user_id (user_id)
)", $dbi);

#
# Dumping data for table `nuke_forum_mods`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_forums`
#

sql_query("CREATE TABLE ".$prefix."_forums (
  forum_id int(10) NOT NULL auto_increment,
  forum_name varchar(150) default NULL,
  forum_desc text,
  forum_access int(10) default '1',
  forum_moderator int(10) default NULL,
  cat_id int(10) default NULL,
  forum_type int(10) default '0',
  forum_pass varchar(60) default NULL,
  forum_notify_email varchar(30) default NULL,
  forum_atch int(2) NOT NULL default '0',
  PRIMARY KEY  (forum_id),
  KEY forum_id (forum_id),
  KEY forum_name (forum_name)
)", $dbi);

#
# Dumping data for table `nuke_forums`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_forumtopics`
#

sql_query("CREATE TABLE ".$prefix."_forumtopics (
  topic_id int(10) NOT NULL auto_increment,
  topic_title varchar(100) default NULL,
  topic_poster int(10) default NULL,
  topic_time varchar(20) default NULL,
  topic_views int(10) NOT NULL default '0',
  forum_id int(10) default NULL,
  topic_status int(10) NOT NULL default '0',
  topic_notify int(2) default '0',
  PRIMARY KEY  (topic_id),
  KEY topic_id (topic_id),
  KEY forum_id (forum_id)
)", $dbi);

#
# Dumping data for table `nuke_forumtopics`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_headlines`
#

sql_query("CREATE TABLE ".$prefix."_headlines (
  hid int(11) NOT NULL auto_increment,
  sitename varchar(30) NOT NULL default '',
  headlinesurl varchar(200) NOT NULL default '',
  PRIMARY KEY  (hid),
  KEY hid (hid)
)", $dbi);

#
# Dumping data for table `nuke_headlines`
#

sql_query("INSERT INTO ".$prefix."_headlines VALUES (1, 'PHP-Nuke', 'http://phpnuke.org/backend.php')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (2, 'ODISEA', 'http://odisea.org/backend.php')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (3, 'LinuxCentral', 'http://linuxcentral.com/backend/lcnew.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (4, 'NewsForge', 'http://www.newsforge.com/newsforge.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (5, 'PHPBuilder', 'http://phpbuilder.com/rss_feed.php')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (6, 'PHP-Nuke Espaol', 'http://phpnuke-espanol.org/backend.php')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (7, 'Freshmeat', 'http://freshmeat.net/backend/fm.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (8, 'AppWatch', 'http://static.appwatch.com/appwatch.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (9, 'LinuxWeelyNews', 'http://lwn.net/headlines/rss')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (10, 'HappyPenguin', 'http://happypenguin.org/html/news.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (11, 'Segfault', 'http://segfault.org/stories.xml')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (13, 'KDE', 'http://www.kde.org/news/kdenews.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (14, 'Perl.com', 'http://www.perl.com/pace/perlnews.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (15, 'Themes.org', 'http://www.themes.org/news.rdf.phtml')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (16, 'BrunchingShuttlecocks', 'http://www.brunching.com/brunching.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (17, 'MozillaNewsBot', 'http://www.mozilla.org/newsbot/newsbot.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (18, 'NewsTrolls', 'http://newstrolls.com/newstrolls.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (19, 'FreakTech', 'http://sunsite.auc.dk/FreakTech/FreakTech.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (20, 'AbsoluteGames', 'http://files.gameaholic.com/agfa.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (21, 'SciFi-News', 'http://www.technopagan.org/sf-news/rdf.php')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (22, 'SisterMachineGun', 'http://www.smg.org/index/mynetscape.html')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (23, 'LinuxM68k', 'http://www.linux-m68k.org/linux-m68k.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (24, 'Protest.net', 'http://www.protest.net/netcenter_rdf.cgi')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (25, 'HollywoodBitchslap', 'http://hollywoodbitchslap.com/hbs.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (26, 'DrDobbsTechNetCast', 'http://www.technetcast.com/tnc_headlines.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (27, 'RivaExtreme', 'http://rivaextreme.com/ssi/rivaextreme.rdf.cdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (28, 'Linuxpower', 'http://linuxpower.org/linuxpower.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (29, 'PBSOnline', 'http://cgi.pbs.org/cgi-registry/featuresrdf.pl')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (30, 'Listology', 'http://listology.com/recent.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (31, 'Linuxdev.net', 'http://linuxdev.net/archive/news.cdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (32, 'LinuxNewbie', 'http://www.linuxnewbie.org/news.cdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (33, 'exoScience', 'http://www.exosci.com/exosci.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (34, 'Technocrat', 'http://technocrat.net/rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (35, 'PDABuzz', 'http://www.pdabuzz.com/netscape.txt')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (36, 'MicroUnices', 'http://mu.current.nu/mu.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (37, 'TheNextLevel', 'http://www.the-nextlevel.com/rdf/tnl.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (38, 'Gnotices', 'http://news.gnome.org/gnome-news/rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (39, 'DailyDaemonNews', 'http://daily.daemonnews.org/ddn.rdf.php3')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (40, 'PerlMonks', 'http://www.perlmonks.org/headlines.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (41, 'PerlNews', 'http://news.perl.org/perl-news-short.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (42, 'BSDToday', 'http://www.bsdtoday.com/backend/bt.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (43, 'DotKDE', 'http://dot.kde.org/rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (44, 'GeekNik', 'http://www.geeknik.net/backend/weblog.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (45, 'HotWired', 'http://www.hotwired.com/webmonkey/meta/headlines.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (46, 'JustLinux', 'http://www.justlinux.com/backend/features.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (47, 'LAN-Systems', 'http://www.lansystems.com/backend/gazette_news_backend.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (48, 'DigitalTheatre', 'http://www.dtheatre.com/backend.php3?xml=yes')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (49, 'Linux.nu', 'http://www.linux.nu/backend/lnu.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (50, 'Lin-x-pert', 'http://www.lin-x-pert.com/linxpert_apps.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (51, 'MaximumBSD1', 'http://www.maximumbsd.com/backend/weblog.rdf1')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (52, 'SolarisCentral', 'http://www.SolarisCentral.org/news/SolarisCentral.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (53, 'Slashdot', 'http://slashdot.org/slashdot.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (54, 'Linux.com', 'http://linux.com/linuxcom.rss')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (55, 'WebReference', 'http://webreference.com/webreference.rdf')", $dbi);
sql_query("INSERT INTO ".$prefix."_headlines VALUES (56, 'FreeDOS', 'http://www.freedos.org/channels/rss.cgi')", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_journal`
#

sql_query("CREATE TABLE ".$prefix."_journal (
  jid int(11) NOT NULL auto_increment,
  aid varchar(30) NOT NULL default '',
  title varchar(80) default NULL,
  bodytext text NOT NULL,
  mood varchar(48) NOT NULL default '',
  pdate varchar(48) NOT NULL default '',
  ptime varchar(48) NOT NULL default '',
  status varchar(48) NOT NULL default '',
  mtime varchar(48) NOT NULL default '',
  mdate varchar(48) NOT NULL default '',
  PRIMARY KEY  (jid),
  KEY jid (jid),
  KEY aid (aid)
)", $dbi);

#
# Dumping data for table `nuke_journal`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_journal_comments`
#

sql_query("CREATE TABLE ".$prefix."_journal_comments (
  cid int(11) NOT NULL auto_increment,
  rid varchar(48) NOT NULL default '',
  aid varchar(30) NOT NULL default '',
  comment text NOT NULL,
  pdate varchar(48) NOT NULL default '',
  ptime varchar(48) NOT NULL default '',
  PRIMARY KEY  (cid),
  KEY cid (cid),
  KEY rid (rid),
  KEY aid (aid)
)", $dbi);

#
# Dumping data for table `nuke_journal_comments`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_journal_stats`
#

sql_query("CREATE TABLE ".$prefix."_journal_stats (
  id int(11) NOT NULL auto_increment,
  joid varchar(48) NOT NULL default '',
  nop varchar(48) NOT NULL default '',
  ldp varchar(24) NOT NULL default '',
  ltp varchar(24) NOT NULL default '',
  micro varchar(128) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY id (id)
)", $dbi);

#
# Dumping data for table `nuke_journal_stats`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_links_categories`
#

sql_query("CREATE TABLE ".$prefix."_links_categories (
  cid int(11) NOT NULL auto_increment,
  title varchar(50) NOT NULL default '',
  cdescription text NOT NULL,
  parentid int(11) NOT NULL default '0',
  PRIMARY KEY  (cid),
  KEY cid (cid)
)", $dbi);

#
# Dumping data for table `nuke_links_categories`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_links_editorials`
#

sql_query("CREATE TABLE ".$prefix."_links_editorials (
  linkid int(11) NOT NULL default '0',
  adminid varchar(60) NOT NULL default '',
  editorialtimestamp datetime NOT NULL default '0000-00-00 00:00:00',
  editorialtext text NOT NULL,
  editorialtitle varchar(100) NOT NULL default '',
  PRIMARY KEY  (linkid),
  KEY linkid (linkid)
)", $dbi);

#
# Dumping data for table `nuke_links_editorials`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_links_links`
#

sql_query("CREATE TABLE ".$prefix."_links_links (
  lid int(11) NOT NULL auto_increment,
  cid int(11) NOT NULL default '0',
  sid int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  description text NOT NULL,
  date datetime default NULL,
  name varchar(100) NOT NULL default '',
  email varchar(100) NOT NULL default '',
  hits int(11) NOT NULL default '0',
  submitter varchar(60) NOT NULL default '',
  linkratingsummary double(6,4) NOT NULL default '0.0000',
  totalvotes int(11) NOT NULL default '0',
  totalcomments int(11) NOT NULL default '0',
  PRIMARY KEY  (lid),
  KEY lid (lid),
  KEY cid (cid),
  KEY sid (sid)
)", $dbi);

#
# Dumping data for table `nuke_links_links`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_links_modrequest`
#

sql_query("CREATE TABLE ".$prefix."_links_modrequest (
  requestid int(11) NOT NULL auto_increment,
  lid int(11) NOT NULL default '0',
  cid int(11) NOT NULL default '0',
  sid int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  description text NOT NULL,
  modifysubmitter varchar(60) NOT NULL default '',
  brokenlink int(3) NOT NULL default '0',
  PRIMARY KEY  (requestid),
  UNIQUE KEY requestid (requestid)
)", $dbi);

#
# Dumping data for table `nuke_links_modrequest`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_links_newlink`
#

sql_query("CREATE TABLE ".$prefix."_links_newlink (
  lid int(11) NOT NULL auto_increment,
  cid int(11) NOT NULL default '0',
  sid int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  description text NOT NULL,
  name varchar(100) NOT NULL default '',
  email varchar(100) NOT NULL default '',
  submitter varchar(60) NOT NULL default '',
  PRIMARY KEY  (lid),
  KEY lid (lid),
  KEY cid (cid),
  KEY sid (sid)
)", $dbi);

#
# Dumping data for table `nuke_links_newlink`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_links_votedata`
#

sql_query("CREATE TABLE ".$prefix."_links_votedata (
  ratingdbid int(11) NOT NULL auto_increment,
  ratinglid int(11) NOT NULL default '0',
  ratinguser varchar(60) NOT NULL default '',
  rating int(11) NOT NULL default '0',
  ratinghostname varchar(60) NOT NULL default '',
  ratingcomments text NOT NULL,
  ratingtimestamp datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (ratingdbid),
  KEY ratingdbid (ratingdbid)
)", $dbi);

#
# Dumping data for table `nuke_links_votedata`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_main`
#

sql_query("CREATE TABLE ".$prefix."_main (
  main_module varchar(255) NOT NULL default ''
)", $dbi);

#
# Dumping data for table `nuke_main`
#

sql_query("INSERT INTO ".$prefix."_main VALUES ('News')", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_message`
#

sql_query("CREATE TABLE ".$prefix."_message (
  mid int(11) NOT NULL auto_increment,
  title varchar(100) NOT NULL default '',
  content text NOT NULL,
  date varchar(14) NOT NULL default '',
  expire int(7) NOT NULL default '0',
  active int(1) NOT NULL default '1',
  view int(1) NOT NULL default '1',
  mlanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (mid),
  UNIQUE KEY mid (mid)
)", $dbi);

#
# Dumping data for table `nuke_message`
#

sql_query("INSERT INTO ".$prefix."_message VALUES (1, 'Welcome to PHP-Nuke!', '<br>Congratulations! You have now a web portal installed!. You can edit or change this message from the <a href=\"admin.php\">Administration</a> page.\r\n<br><br>\r\n<center><b>For security reasons the best idea is to create the Super User right NOW by clicking <a href=\"admin.php\">HERE</a></b></center>\r\n<br><br>\r\nYou can also create a user for you from the same page. Please read carefully the README file, CREDITS file to see from where comes the things and remember that this is free software released under the GPL License (read COPYING file for details). Hope you enjoy this software. Please report any bug you find when one of this annoying things happens and I\'ll try to fix it for the next release.\r\n<br><br>\r\nIf you like this software and want to make a contribution you can purchase me something from my <a href=\"http://www.amazon.com/exec/obidos/wishlist/1N51JTF344VHI\">Wish List</a>, you can also donate some money to PHP-Nuke project by clicking <a href=\"https://secure.reg.net/product.asp?ID=11155\">here</a> or if you prefer you can become a PHP-Nuke\'s Club Member by clicking <a href=\"http://phpnuke.org/modules.php?name=Club\">here</a> and obtain extra goodies for your system.\r\n<br><br>\r\nPHP-Nuke is an advanced and <i>intelligent</i> content management system designed and programmed with very hard work. PHP-Nuke has the biggest user\'s community in the world for this kind of application, thousands of friendly people (users and programmers) are waiting for you to join the revolution at <a href=\"http://phpnuke.org\">http://phpnuke.org</a> where you can find thousands of modules/addons, themes, blocks, graphics, utilities and much more...\r\n<br><br>\r\nThanks for your support and for select PHP-Nuke as you web site\'s code! Hope you can can enjoy this application as much as we enjoy developing it!', '993373194', 0, 1, 1, '')", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_modules`
#

sql_query("CREATE TABLE ".$prefix."_modules (
  mid int(10) NOT NULL auto_increment,
  title varchar(255) NOT NULL default '',
  custom_title varchar(255) NOT NULL default '',
  active int(1) NOT NULL default '0',
  view int(1) NOT NULL default '0',
  inmenu tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (mid),
  KEY mid (mid),
  KEY title (title),
  KEY custom_title (custom_title)
)", $dbi);

#
# Dumping data for table `nuke_modules`
#

sql_query("INSERT INTO ".$prefix."_modules VALUES (1,'AvantGo','',1,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (2,'Downloads','',1,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (3,'Feedback','',1,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (4,'Journal','',1,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (5,'News','',1,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (6,'Private_Messages','',1,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (7,'Recommend_Us','',1,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (8,'Search','',1,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (9,'Statistics','',1,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (10,'Stories_Archive','',1,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (11,'Submit_News','',1,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (12,'Surveys','',1,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (13,'Top','Top 10',1,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (14,'Topics','',1,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (15,'Web_Links','',1,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (16,'WebMail','',1,1,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (17,'Your_Account','',1,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (18,'Addon_Sample','',0,2,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (19,'Content','',0,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (20,'Encyclopedia','',0,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (21,'FAQ','',0,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (22,'Forums','',0,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (23,'Members_List','',0,1,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (24,'Reviews','',0,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (25,'Sections','',0,0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (26, 'File_Archives', 'File_Archives', 0, 0, 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_modules VALUES (27, 'Shopping_Cart', 'Shopping_Cart', 1, 0, 1)", $dbi);

# --------------------------------------------------------

#
# Table structure for table `nuke_pages`
#

sql_query("CREATE TABLE ".$prefix."_pages (
  pid int(10) NOT NULL auto_increment,
  cid int(10) NOT NULL default '0',
  title varchar(255) NOT NULL default '',
  subtitle varchar(255) NOT NULL default '',
  active int(1) NOT NULL default '0',
  page_header text NOT NULL,
  text text NOT NULL,
  page_footer text NOT NULL,
  signature text NOT NULL,
  date datetime NOT NULL default '0000-00-00 00:00:00',
  counter int(10) NOT NULL default '0',
  clanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (pid),
  KEY pid (pid),
  KEY cid (cid)
)", $dbi);

#
# Dumping data for table `nuke_pages`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_pages_categories`
#

sql_query("CREATE TABLE ".$prefix."_pages_categories (
  cid int(10) NOT NULL auto_increment,
  title varchar(255) NOT NULL default '',
  description text NOT NULL,
  PRIMARY KEY  (cid),
  KEY cid (cid)
)", $dbi);

#
# Dumping data for table `nuke_pages_categories`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_poll_check`
#

sql_query("CREATE TABLE ".$prefix."_poll_check (
  ip varchar(20) NOT NULL default '',
  time varchar(14) NOT NULL default '',
  pollID int(10) NOT NULL default '0'
)", $dbi);

#
# Dumping data for table `nuke_poll_check`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_poll_data`
#

sql_query("CREATE TABLE ".$prefix."_poll_data (
  pollID int(11) NOT NULL default '0',
  optionText char(50) NOT NULL default '',
  optionCount int(11) NOT NULL default '0',
  voteID int(11) NOT NULL default '0'
)", $dbi);

#
# Dumping data for table `nuke_poll_data`
#

sql_query("INSERT INTO ".$prefix."_poll_data VALUES (1,'Ummmm, not bad',0,1)", $dbi);
sql_query("INSERT INTO ".$prefix."_poll_data VALUES (1,'Cool',0,2)", $dbi);
sql_query("INSERT INTO ".$prefix."_poll_data VALUES (1,'Terrific',0,3)", $dbi);
sql_query("INSERT INTO ".$prefix."_poll_data VALUES (1,'The best one!',0,4)", $dbi);
sql_query("INSERT INTO ".$prefix."_poll_data VALUES (1,'what the hell is this?',0,5)", $dbi);
sql_query("INSERT INTO ".$prefix."_poll_data VALUES (1,'',0,6)", $dbi);
sql_query("INSERT INTO ".$prefix."_poll_data VALUES (1,'',0,7)", $dbi);
sql_query("INSERT INTO ".$prefix."_poll_data VALUES (1,'',0,8)", $dbi);
sql_query("INSERT INTO ".$prefix."_poll_data VALUES (1,'',0,9)", $dbi);
sql_query("INSERT INTO ".$prefix."_poll_data VALUES (1,'',0,10)", $dbi);
sql_query("INSERT INTO ".$prefix."_poll_data VALUES (1,'',0,11)", $dbi);
sql_query("INSERT INTO ".$prefix."_poll_data VALUES (1,'',0,12)", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_poll_desc`
#

sql_query("CREATE TABLE ".$prefix."_poll_desc (
  pollID int(11) NOT NULL auto_increment,
  pollTitle varchar(100) NOT NULL default '',
  timeStamp int(11) NOT NULL default '0',
  voters mediumint(9) NOT NULL default '0',
  planguage varchar(30) NOT NULL default '',
  artid int(10) NOT NULL default '0',
  ctrltype tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (pollID)
)", $dbi);

#
# Dumping data for table `nuke_poll_desc`
#

sql_query("INSERT INTO ".$prefix."_poll_desc VALUES (1,'What do you think about this site?',961405160,0,'english',0,0)", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_pollcomments`
#

sql_query("CREATE TABLE ".$prefix."_pollcomments (
  tid int(11) NOT NULL auto_increment,
  pid int(11) NOT NULL default '0',
  pollID int(11) NOT NULL default '0',
  date datetime default NULL,
  name varchar(60) NOT NULL default '',
  email varchar(60) default NULL,
  url varchar(60) default NULL,
  host_name varchar(60) default NULL,
  subject varchar(60) NOT NULL default '',
  comment text NOT NULL,
  score tinyint(4) NOT NULL default '0',
  reason tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (tid),
  KEY tid (tid),
  KEY pid (pid),
  KEY pollID (pollID)
)", $dbi);

#
# Dumping data for table `nuke_pollcomments`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_popsettings`
#

sql_query("CREATE TABLE ".$prefix."_popsettings (
  id int(11) NOT NULL auto_increment,
  uid int(11) default NULL,
  account varchar(50) default NULL,
  popserver varchar(255) default NULL,
  port int(5) default NULL,
  uname varchar(100) default NULL,
  passwd varchar(20) default NULL,
  numshow int(11) default NULL,
  deletefromserver char(1) default NULL,
  refresh int(11) default NULL,
  timeout int(11) default NULL,
  PRIMARY KEY  (id),
  KEY id (id),
  KEY uid (uid)
)", $dbi);

#
# Dumping data for table `nuke_popsettings`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_posts`
#

sql_query("CREATE TABLE ".$prefix."_posts (
  post_id int(10) NOT NULL auto_increment,
  image varchar(100) default NULL,
  topic_id int(10) NOT NULL default '0',
  forum_id int(10) NOT NULL default '0',
  poster_id int(10) default NULL,
  post_text text,
  post_time varchar(20) default NULL,
  poster_ip varchar(16) default NULL,
  PRIMARY KEY  (post_id),
  KEY post_id (post_id),
  KEY topic_id (topic_id),
  KEY forum_id (forum_id),
  KEY poster_id (poster_id)
)", $dbi);

#
# Dumping data for table `nuke_posts`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_posts_text`
#

sql_query("CREATE TABLE ".$prefix."_posts_text (
  post_id int(10) NOT NULL default '0',
  post_text text,
  PRIMARY KEY  (post_id),
  KEY post_id (post_id)
)", $dbi);

#
# Dumping data for table `nuke_posts_text`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_priv_msgs`
#

sql_query("CREATE TABLE ".$prefix."_priv_msgs (
  msg_id int(10) NOT NULL auto_increment,
  msg_image varchar(100) default NULL,
  subject varchar(100) default NULL,
  from_userid int(10) NOT NULL default '0',
  to_userid int(10) NOT NULL default '0',
  msg_time varchar(20) default NULL,
  msg_text text,
  read_msg tinyint(10) NOT NULL default '0',
  PRIMARY KEY  (msg_id),
  KEY msg_id (msg_id),
  KEY to_userid (to_userid),
  KEY from_userid (from_userid)
)", $dbi);

#
# Dumping data for table `nuke_priv_msgs`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_public_messages`
#

sql_query("CREATE TABLE ".$prefix."_public_messages (
  mid int(10) NOT NULL auto_increment,
  content varchar(255) NOT NULL default '',
  date varchar(14) default NULL,
  who varchar(25) NOT NULL default '',
  PRIMARY KEY  (mid),
  KEY mid (mid)
)", $dbi);

#
# Dumping data for table `nuke_public_messages`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_queue`
#

sql_query("CREATE TABLE ".$prefix."_queue (
  qid smallint(5) unsigned NOT NULL auto_increment,
  uid mediumint(9) NOT NULL default '0',
  uname varchar(40) NOT NULL default '',
  subject varchar(100) NOT NULL default '',
  story text,
  storyext text NOT NULL,
  timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  topic varchar(20) NOT NULL default '',
  alanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (qid),
  KEY qid (qid),
  KEY uid (uid),
  KEY uname (uname)
)", $dbi);

#
# Dumping data for table `nuke_queue`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_quotes`
#

sql_query("CREATE TABLE ".$prefix."_quotes (
  qid int(10) unsigned NOT NULL auto_increment,
  quote text,
  PRIMARY KEY  (qid),
  KEY qid (qid)
)", $dbi);

#
# Dumping data for table `nuke_quotes`
#

sql_query("INSERT INTO ".$prefix."_quotes VALUES (1, 'Nos morituri te salutamus - CBHS')", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_ranks`
#

sql_query("CREATE TABLE ".$prefix."_ranks (
  rank_id int(10) NOT NULL auto_increment,
  rank_title varchar(50) NOT NULL default '',
  rank_min int(10) NOT NULL default '0',
  rank_max int(10) NOT NULL default '0',
  rank_special int(2) default '0',
  rank_image varchar(255) default NULL,
  PRIMARY KEY  (rank_id),
  KEY rank_min (rank_min),
  KEY rank_max (rank_max)
)", $dbi);

#
# Dumping data for table `nuke_ranks`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_referer`
#

sql_query("CREATE TABLE ".$prefix."_referer (
  rid int(11) NOT NULL auto_increment,
  url varchar(100) NOT NULL default '',
  PRIMARY KEY  (rid),
  KEY rid (rid)
)", $dbi);

#
# Dumping data for table `nuke_referer`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_related`
#

sql_query("CREATE TABLE ".$prefix."_related (
  rid int(11) NOT NULL auto_increment,
  tid int(11) NOT NULL default '0',
  name varchar(30) NOT NULL default '',
  url varchar(200) NOT NULL default '',
  PRIMARY KEY  (rid),
  KEY rid (rid),
  KEY tid (tid)
)", $dbi);

#
# Dumping data for table `nuke_related`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_reviews`
#

sql_query("CREATE TABLE ".$prefix."_reviews (
  id int(10) NOT NULL auto_increment,
  date date NOT NULL default '0000-00-00',
  title varchar(150) NOT NULL default '',
  text text NOT NULL,
  reviewer varchar(20) default NULL,
  email varchar(60) default NULL,
  score int(10) NOT NULL default '0',
  cover varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  url_title varchar(50) NOT NULL default '',
  hits int(10) NOT NULL default '0',
  rlanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY id (id)
)", $dbi);

#
# Dumping data for table `nuke_reviews`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_reviews_add`
#

sql_query("CREATE TABLE ".$prefix."_reviews_add (
  id int(10) NOT NULL auto_increment,
  date date default NULL,
  title varchar(150) NOT NULL default '',
  text text NOT NULL,
  reviewer varchar(20) NOT NULL default '',
  email varchar(60) default NULL,
  score int(10) NOT NULL default '0',
  url varchar(100) NOT NULL default '',
  url_title varchar(50) NOT NULL default '',
  rlanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY id (id)
)", $dbi);

#
# Dumping data for table `nuke_reviews_add`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_reviews_comments`
#

sql_query("CREATE TABLE ".$prefix."_reviews_comments (
  cid int(10) NOT NULL auto_increment,
  rid int(10) NOT NULL default '0',
  userid varchar(25) NOT NULL default '',
  date datetime default NULL,
  comments text,
  score int(10) NOT NULL default '0',
  PRIMARY KEY  (cid),
  KEY cid (cid),
  KEY rid (rid),
  KEY userid (userid)
)", $dbi);

#
# Dumping data for table `nuke_reviews_comments`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_reviews_main`
#

sql_query("CREATE TABLE ".$prefix."_reviews_main (
  title varchar(100) default NULL,
  description text
)", $dbi);

#
# Dumping data for table `nuke_reviews_main`
#

sql_query("INSERT INTO ".$prefix."_reviews_main VALUES ('Reviews Section Title', 'Reviews Section Long Description')", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_seccont`
#

sql_query("CREATE TABLE ".$prefix."_seccont (
  artid int(11) NOT NULL auto_increment,
  secid int(11) NOT NULL default '0',
  title text NOT NULL,
  content text NOT NULL,
  counter int(11) NOT NULL default '0',
  slanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (artid),
  KEY artid (artid),
  KEY secid (secid)
)", $dbi);

#
# Dumping data for table `nuke_seccont`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_sections`
#

sql_query("CREATE TABLE ".$prefix."_sections (
  secid int(11) NOT NULL auto_increment,
  secname varchar(40) NOT NULL default '',
  image varchar(50) NOT NULL default '',
  PRIMARY KEY  (secid),
  KEY secid (secid)
)", $dbi);

#
# Dumping data for table `nuke_sections`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_session`
#

sql_query("CREATE TABLE ".$prefix."_session (
  username varchar(25) NOT NULL default '',
  time varchar(14) NOT NULL default '',
  host_addr varchar(48) NOT NULL default '',
  guest int(1) NOT NULL default '0',
  KEY time (time),
  KEY guest (guest)
)", $dbi);

#
# Dumping data for table `nuke_session`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_smiles`
#

sql_query("CREATE TABLE ".$prefix."_smiles (
  id int(10) NOT NULL auto_increment,
  code varchar(50) default NULL,
  smile_url varchar(100) default NULL,
  emotion varchar(75) default NULL,
  active tinyint(2) default '0',
  PRIMARY KEY  (id),
  KEY id (id)
)", $dbi);

#
# Dumping data for table `nuke_smiles`
#

sql_query("INSERT INTO ".$prefix."_smiles VALUES (1, ':D', 'icon_biggrin.gif', 'Very Happy', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (2, ':-D', 'icon_biggrin.gif', 'Very Happy', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (3, ':grin:', 'icon_biggrin.gif', 'Very Happy', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (4, ':)', 'icon_smile.gif', 'Smile', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (5, ':-)', 'icon_smile.gif', 'Smile', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (6, ':smile:', 'icon_smile.gif', 'Smile', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (7, ':(', 'icon_frown.gif', 'Sad', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (8, ':-(', 'icon_frown.gif', 'Sad', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (9, ':sad:', 'icon_frown.gif', 'Sad', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (10, ':o', 'icon_eek.gif', 'Surprised', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (11, ':-o', 'icon_eek.gif', 'Surprised', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (12, ':eek:', 'icon_eek.gif', 'Suprised', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (13, ':-?', 'icon_confused.gif', 'Confused', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (14, ':???:', 'icon_confused.gif', 'Confused', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (15, '8)', 'icon_cool.gif', 'Cool', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (16, '8-)', 'icon_cool.gif', 'Cool', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (17, ':cool:', 'icon_cool.gif', 'Cool', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (18, ':lol:', 'icon_lol.gif', 'Laughing', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (19, ':x', 'icon_mad.gif', 'Mad', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (20, ':-x', 'icon_mad.gif', 'Mad', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (21, ':mad:', 'icon_mad.gif', 'Mad', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (22, ':P', 'icon_razz.gif', 'Razz', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (23, ':-P', 'icon_razz.gif', 'Razz', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (24, ':razz:', 'icon_razz.gif', 'Razz', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (25, ':oops:', 'icon_redface.gif', 'Embaressed', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (26, ':cry:', 'icon_cry.gif', 'Crying (very sad)', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (27, ':evil:', 'icon_evil.gif', 'Evil or Very Mad', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (28, ':roll:', 'icon_rolleyes.gif', 'Rolling Eyes', 1)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (29, ':wink:', 'icon_wink.gif', 'Wink', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (30, ';)', 'icon_wink.gif', 'Wink', 0)", $dbi);
sql_query("INSERT INTO ".$prefix."_smiles VALUES (31, ';-)', 'icon_wink.gif', 'Wink', 1)", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_stats_date`
#

sql_query("CREATE TABLE ".$prefix."_stats_date (
  year smallint(6) NOT NULL default '0',
  month tinyint(4) NOT NULL default '0',
  date tinyint(4) NOT NULL default '0',
  hits bigint(20) NOT NULL default '0'
)", $dbi);

#
# Dumping data for table `nuke_stats_date`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_stats_hour`
#

sql_query("CREATE TABLE ".$prefix."_stats_hour (
  year smallint(6) NOT NULL default '0',
  month tinyint(4) NOT NULL default '0',
  date tinyint(4) NOT NULL default '0',
  hour tinyint(4) NOT NULL default '0',
  hits int(11) NOT NULL default '0'
)", $dbi);

#
# Dumping data for table `nuke_stats_hour`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_stats_month`
#

sql_query("CREATE TABLE ".$prefix."_stats_month (
  year smallint(6) NOT NULL default '0',
  month tinyint(4) NOT NULL default '0',
  hits bigint(20) NOT NULL default '0'
)", $dbi);

#
# Dumping data for table `nuke_stats_month`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_stats_year`
#

sql_query("CREATE TABLE ".$prefix."_stats_year (
  year smallint(6) NOT NULL default '0',
  hits bigint(20) NOT NULL default '0'
)", $dbi);

#
# Dumping data for table `nuke_stats_year`
#

sql_query("INSERT INTO ".$prefix."_stats_year VALUES (2002, 0)", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_stories`
#

sql_query("CREATE TABLE ".$prefix."_stories (
  sid int(11) NOT NULL auto_increment,
  catid int(11) NOT NULL default '0',
  aid varchar(30) NOT NULL default '',
  title varchar(80) default NULL,
  time datetime default NULL,
  hometext text,
  bodytext text NOT NULL,
  comments int(11) default '0',
  counter mediumint(8) unsigned default NULL,
  topic int(3) NOT NULL default '1',
  informant varchar(20) NOT NULL default '',
  notes text NOT NULL,
  ihome int(1) NOT NULL default '0',
  alanguage varchar(30) NOT NULL default '',
  acomm int(1) NOT NULL default '0',
  haspoll int(1) NOT NULL default '0',
  pollID int(10) NOT NULL default '0',
  score int(10) NOT NULL default '0',
  ratings int(10) NOT NULL default '0',
  PRIMARY KEY  (sid),
  KEY sid (sid),
  KEY catid (catid)
)", $dbi);

#
# Dumping data for table `nuke_stories`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_stories_cat`
#

sql_query("CREATE TABLE ".$prefix."_stories_cat (
  catid int(11) NOT NULL auto_increment,
  title varchar(20) NOT NULL default '',
  counter int(11) NOT NULL default '0',
  PRIMARY KEY  (catid),
  KEY catid (catid)
)", $dbi);

#
# Dumping data for table `nuke_stories_cat`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_topics`
#

sql_query("CREATE TABLE ".$prefix."_topics (
  topicid int(3) NOT NULL auto_increment,
  topicname varchar(20) default NULL,
  topicimage varchar(20) default NULL,
  topictext varchar(40) default NULL,
  counter int(11) NOT NULL default '0',
  PRIMARY KEY  (topicid),
  KEY topicid (topicid)
)", $dbi);

#
# Dumping data for table `nuke_topics`
#

sql_query("INSERT INTO ".$prefix."_topics VALUES (1,'phpnuke','phpnuke.gif','PHP-Nuke',0)", $dbi);
# --------------------------------------------------------

#
# Table structure for table `nuke_users`
#

sql_query("CREATE TABLE ".$user_prefix."_users (
  uid int(11) NOT NULL auto_increment,
  name varchar(60) NOT NULL default '',
  uname varchar(25) NOT NULL default '',
  email varchar(255) NOT NULL default '',
  femail varchar(255) NOT NULL default '',
  url varchar(255) NOT NULL default '',
  user_avatar varchar(30) default NULL,
  user_regdate varchar(20) NOT NULL default '',
  user_icq varchar(15) default NULL,
  user_occ varchar(100) default NULL,
  user_from varchar(100) default NULL,
  user_intrest varchar(150) default NULL,
  user_sig varchar(255) default NULL,
  user_viewemail tinyint(2) default NULL,
  user_theme int(3) default NULL,
  user_aim varchar(18) default NULL,
  user_yim varchar(25) default NULL,
  user_msnm varchar(25) default NULL,
  pass varchar(40) NOT NULL default '',
  storynum tinyint(4) NOT NULL default '10',
  umode varchar(10) NOT NULL default '',
  uorder tinyint(1) NOT NULL default '0',
  thold tinyint(1) NOT NULL default '0',
  noscore tinyint(1) NOT NULL default '0',
  bio tinytext NOT NULL,
  ublockon tinyint(1) NOT NULL default '0',
  ublock tinytext NOT NULL,
  theme varchar(255) NOT NULL default '',
  commentmax int(11) NOT NULL default '4096',
  counter int(11) NOT NULL default '0',
  newsletter int(1) NOT NULL default '0',
  user_posts int(10) NOT NULL default '0',
  user_attachsig int(2) NOT NULL default '0',
  user_rank int(10) NOT NULL default '0',
  user_level int(10) NOT NULL default '1',
  broadcast tinyint(1) NOT NULL default '1',
  popmeson tinyint(1) NOT NULL default '0',
  points decimal(10,2) unsigned NOT NULL default '0.00',
  address1 varchar(64) default NULL,
  address2 varchar(64) default NULL,
  city varchar(64) default NULL,
  state varchar(32) default NULL,
  country varchar(64) default NULL,
  postcode varchar(16) default NULL,
  dayPhone varchar(64) default NULL,
  evePhone varchar(64) default NULL,
  myCurr int(2) NOT NULL default '0',
  dealer tinyint(1) NOT NULL default '0',
  account tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (uid),
  KEY uname (uname)
)", $dbi);

#
# Dumping data for table `nuke_users`
#

sql_query("INSERT INTO ".$user_prefix."_users VALUES (1, '', 'Anonymous', '', '', '', 'blank.gif', 'Nov 10, 2000', '', '', '', '', '', 0, 0, '', '', '', '', 10, '', 0, 0, 0, '', 0, '', '', 4096, 0, 0, 0, 0, 0, 1, 0, 0, '0.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0)", $dbi);
# --------------------------------------------------------
/* This table is no used in any file (L.Krivelyov)
#
# Table structure for table `nuke_users_pending`
#
sql_query("CREATE TABLE ".$prefix."_users_pending (
  upid int(11) NOT NULL default '0',
  name varchar(60) NOT NULL default '',
  uname varchar(25) NOT NULL default '',
  email varchar(60) NOT NULL default '',
  femail varchar(60) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  user_avatar varchar(30) default NULL,
  user_regdate varchar(20) NOT NULL default '',
  user_icq varchar(15) default NULL,
  user_occ varchar(100) default NULL,
  user_from varchar(100) default NULL,
  user_intrest varchar(150) default NULL,
  user_sig varchar(255) default NULL,
  user_viewemail tinyint(2) default NULL,
  user_theme int(3) default NULL,
  user_aim varchar(18) default NULL,
  user_yim varchar(25) default NULL,
  user_msnm varchar(25) default NULL,
  pass varchar(40) default NULL,
  storynum tinyint(4) NOT NULL default '10',
  umode varchar(10) NOT NULL default '',
  uorder tinyint(1) NOT NULL default '0',
  thold tinyint(1) NOT NULL default '0',
  noscore tinyint(1) NOT NULL default '0',
  bio tinytext NOT NULL,
  ublockon tinyint(1) NOT NULL default '0',
  ublock tinytext NOT NULL,
  theme varchar(255) NOT NULL default '',
  commentmax int(11) NOT NULL default '4096',
  counter int(11) NOT NULL default '0',
  newsletter int(1) NOT NULL default '0',
  user_posts int(10) NOT NULL default '0',
  user_attachsig int(2) NOT NULL default '0',
  user_rank int(10) NOT NULL default '0',
  user_level int(10) NOT NULL default '1',
  PRIMARY KEY  (upid)
)", $dbi);

#
# Dumping data for table `nuke_users_pending`
#
*/
# --------------------------------------------------------
/* This table is no used in any file (L.Krivelyov)
#
# Table structure for table `nuke_users_suspend`
#

sql_query("CREATE TABLE ".$prefix."_users_suspend (
  usid int(11) NOT NULL default '0',
  name varchar(60) NOT NULL default '',
  uname varchar(25) NOT NULL default '',
  email varchar(60) NOT NULL default '',
  femail varchar(60) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  user_avatar varchar(30) default NULL,
  user_regdate varchar(20) NOT NULL default '',
  user_icq varchar(15) default NULL,
  user_occ varchar(100) default NULL,
  user_from varchar(100) default NULL,
  user_intrest varchar(150) default NULL,
  user_sig varchar(255) default NULL,
  user_viewemail tinyint(2) default NULL,
  user_theme int(3) default NULL,
  user_aim varchar(18) default NULL,
  user_yim varchar(25) default NULL,
  user_msnm varchar(25) default NULL,
  pass varchar(40) default NULL,
  storynum tinyint(4) NOT NULL default '10',
  umode varchar(10) NOT NULL default '',
  uorder tinyint(1) NOT NULL default '0',
  thold tinyint(1) NOT NULL default '0',
  noscore tinyint(1) NOT NULL default '0',
  bio tinytext NOT NULL,
  ublockon tinyint(1) NOT NULL default '0',
  ublock tinytext NOT NULL,
  theme varchar(255) NOT NULL default '',
  commentmax int(11) NOT NULL default '4096',
  counter int(11) NOT NULL default '0',
  newsletter int(1) NOT NULL default '0',
  user_posts int(10) NOT NULL default '0',
  user_attachsig int(2) NOT NULL default '0',
  user_rank int(10) NOT NULL default '0',
  user_level int(10) NOT NULL default '1',
  PRIMARY KEY  (usid)
)", $dbi);

#
# Dumping data for table `nuke_users_suspend`
#
*/
# --------------------------------------------------------

#
# Table structure for table `nuke_words`
#

sql_query("CREATE TABLE ".$prefix."_words (
  word_id int(10) NOT NULL auto_increment,
  word varchar(100) default NULL,
  replacement varchar(100) default NULL,
  PRIMARY KEY  (word_id),
  KEY word_id (word_id)
)", $dbi);

#
# Dumping data for table `nuke_words`
#
Header("Location: index.php");

?>